## Logging

Logging — Log functions

## Stability Level

Stable, unless otherwise indicated

## Functions

void | gda_log_enable ()
void | gda_log_disable ()
gboolean | gda_log_is_enabled ()
void | gda_log_message ()
void | gda_log_error ()

## Includes

    #include <virtual/gda-ldap-connection.h>

## Description

Logging functions.

## Functions

### gda_log_enable ()

    void
    gda_log_enable (void);

Enables GDA logs.

### gda_log_disable ()

    void
    gda_log_disable (void);

Disables GDA logs.

### gda_log_is_enabled ()

    gboolean
    gda_log_is_enabled (void);

#### Returns

whether GDA logs are enabled (`TRUE` or `FALSE`).

### gda_log_message ()

    void
    gda_log_message (const gchar *format,
                     ...);

Logs the given message in the GDA log file.

[skip]

#### Parameters

format | format string (see the printf(3) documentation). |
... | arguments to insert in the message. |

### gda_log_error ()

    void
    gda_log_error (const gchar *format,
                   ...);

Logs the given error in the GDA log file.

#### Parameters

format | format string (see the printf(3) documentation). |
... | arguments to insert in the error. |